# eoFlOrUniformBinOp< EOT > Class Template Reference

The uniform crossover - exchanges atoms uniformly ! More...

`#include <eoFlOrBinOp.h>`

Inheritance diagram for eoFlOrUniformBinOp< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoFlOrUniformBinOp (double _rate=0.5)
| default ctor: requires a rate - 0.5 by default
bool | operator() (EOT &_eo1, const EOT &_eo2)
| excahnges atoms at given rate
virtual string | className () const
| inherited className()

## Private Attributes

double | rate

## Detailed Description

### template<class EOT>
class eoFlOrUniformBinOp< EOT >

The uniform crossover - exchanges atoms uniformly !

Definition at line 136 of file eoFlOrBinOp.h.

The documentation for this class was generated from the following file:

- eoFlOrBinOp.h